html,
body {
  height: auto;
  position: relative;
}

.confidence_level {
  position: relative;
  width: 100%;
  height: 1000vh;
  opacity: 0;
  margin-top: -100vh;
  transform: translate3d(0, 0, 0);
}

.confidence_level.on {
  opacity: 1;
}

.confidence_level .wrap {
  width: 100%;
  height: 100vh;
  position: sticky;
  top: 0;
}

.confidence_level .stair {
  display: flex;
  width: 100%;
  height: 100vh;
  position: absolute;
  align-items: flex-end;
  bottom: 0;
}

.confidence_level .stair .item {
  width: 25%;
}
.confidence_level .stair.type_bg {
  transition: background-color 0.5s;
}
.confidence_level .stair.type_bg .item {
  /* background: linear-gradient(180deg, #4a34b5 0%, #180ca9 100%); */
  background-color: #2919ae;
  transition: height 0.6s;
  z-index: -1;
}

.confidence_level.on .stair.type_bg .item {
  height: 100%;
}

.confidence_level .stair.type_bg .one {
  height: 0%;
}

.confidence_level .stair.type_bg .two {
  height: 0.1%;
}

.confidence_level .stair.type_bg .three {
  height: 0.2%;
}

.confidence_level .stair.type_bg .four {
  height: 0.3%;
  /* max-height: 76.85%; */
}

.confidence_level.on .stair.type_bg .one {
  /* transition-delay: 0.4s; */
  transition-delay: 0.6s;
}

.confidence_level.on .stair.type_bg .two {
  /* transition-delay: 0.3s; */
  transition-delay: 0.45s;
}

.confidence_level.on .stair.type_bg .three {
  /* transition-delay: 0.2s; */
  transition-delay: 0.3s;
}

.confidence_level.on .stair.type_bg .four {
  /* transition-delay: 0.1s; */
  transition-delay: 0.15s;
}

.confidence_level .stair.type_real {
  position: relative;
  height: 100vh;
}

.confidence_level .stair.type_real .item {
  position: absolute;
  bottom: 0;
  height: 0;
  z-index: 1;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.1) 0%, rgba(66, 135, 245, 0.1) 116.2%);
  transition: height 0.4s;
}

.confidence_level.on .stair.type_real .item {
  height: 100%;
}

.confidence_level .stair.type_real .one {
  max-height: 27.12%;
  left: 0;
}

.confidence_level .stair.type_real .two {
  max-height: 33.79%;
  left: 25%;
}

.confidence_level .stair.type_real .three {
  max-height: 42.77%;
  left: 50%;
}

.confidence_level .stair.type_real .four {
  max-height: 51.2%;
  left: 75%;
}

.confidence_level.on .stair.type_real .one {
  /* transition-delay: 0.8s; */
  transition-delay: 1.2s;
}

.confidence_level.on .stair.type_real .two {
  /* transition-delay: 0.7s; */
  transition-delay: 1.05s;
}

.confidence_level.on .stair.type_real .three {
  /* transition-delay: 0.6s; */
  transition-delay: 0.9s;
}

.confidence_level.on .stair.type_real .four {
  /* transition-delay: 0.5s; */
  transition-delay: 0.75s;
}

.confidence_level .stair.type_real.in .item {
  transition: all 0.6s;
}

.confidence_level.on .stair.type_real.in .one,
.confidence_level.on .stair.type_real.in .two,
.confidence_level.on .stair.type_real.in .three,
.confidence_level.on .stair.type_real.in .four {
  transition-delay: unset;
}

.confidence_level .stair.type_real .item.one {
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.1) 0%, rgba(66, 135, 245, 0.1) 116.2%);
  overflow: hidden;
}

.confidence_level .stair.type_real .item.one.on {
  background: linear-gradient(180deg, #7c7aff 0%, #794aff 100%);
}

.confidence_level .stair.type_real .item.two.on {
  max-height: 40.74%;
  background: linear-gradient(180deg, #00d1ff 0%, #0094ff 100%);
}

.confidence_level .stair.type_real .item.three.new.on {
  max-height: 61.57%;
  background: linear-gradient(180deg, #00e7bd 0%, #0abe88 100%);
}

.confidence_level .stair.type_real .item.three.new {
  max-height: 50.64%;
}

.confidence_level .stair.type_real .item.four.newnew.on {
  max-height: 100%;
  background: linear-gradient(180deg, #13d875 0%, #00e376 100%);
  transition: all 0.6s cubic-bezier(0.85, 0.1, 0.225, 1.32);
}

.confidence_level .stair.type_real .item.four.new {
  max-height: 65%;
}

.confidence_level .stair.type_real .item.four.newnew {
  max-height: 76.29%;
}

.confidence_level .stair.type_real .item {
  display: flex;
  align-items: center;
  justify-content: center;
}

.confidence_level .text_wrap {
  opacity: 0;
  transition: opacity 0.5s;
}

.confidence_level.on .text_wrap {
  opacity: 1;
  transition-delay: 0.6s;
}

.confidence_level .explain_text {
  color: rgba(255, 255, 255, 0.5);
  font-size: 15px;
  line-height: 160%;
  position: absolute;
  top: 94px;
  right: 60px;
  z-index: 2;
}

.confidence_level .text_area {
  position: absolute;
  top: 0;
  left: 60px;
  opacity: 0;
  transform: translateY(calc(134px));
  transition:
    opacity 0.5s,
    transform 0.5s;
}

.confidence_level .text_area.on {
  opacity: 1;
  transform: translateY(104px);
}

.confidence_level .text_area.off {
  opacity: 0;
  transform: translateY(54px);
}

.confidence_level .text_area span {
  display: block;
  color: #fff;
  font-size: 20px;
  font-weight: 600;
  line-height: 150%;
  margin-bottom: 27px;
}

.confidence_level .text_area h3 {
  color: #fff;
  font-size: 72px;
  font-weight: 600;
  line-height: 120%;
  letter-spacing: -1.44px;
}

.confidence_level .stair.type_real .item.on .text_box {
  color: #fff;
}

.confidence_level .stair.type_real .item.off .text_box {
  color: rgba(224, 224, 224, 0.1);
}

.confidence_level .stair.type_real .item.one.off,
.confidence_level .stair.type_real .item.two.off,
.confidence_level .stair.type_real .item.three.new.off {
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.1) 0%, rgba(66, 135, 245, 0.1) 116.2%);
}

.confidence_level .stair.type_real .item.four.off {
  width: 100%;
  left: 0;
  z-index: 2;
}

.confidence_level .stair.type_real .item.four.off .text_box {
  color: #fff;
  row-gap: 0;
}

.confidence_level .text_box {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  row-gap: 24px;
  font-weight: 600;
  color: rgba(224, 224, 224, 0);
}

.confidence_level .text_box span {
  font-size: 24px;
  transition: font-size 0.5s;
}

.confidence_level .stair.type_real .item.four.newnew.on .text_box span {
  transition: font-size 0.6s;
}

.confidence_level .text_box strong {
  font-size: 100px;
  font-weight: 600;
  transition: font-size 0.5s;
}

.confidence_level .stair.type_real .item.one.on .text_box strong {
  font-size: 130px;
}

.confidence_level .stair.type_real .item.two.on .text_box strong {
  font-size: 140px;
}

.confidence_level .stair.type_real .item.three.on .text_box strong {
  font-size: 150px;
}

.confidence_level .stair.type_real .item.four.on .text_box strong {
  font-size: 160px;
}

.confidence_level .stair.type_real .item.one.off .text_box strong,
.confidence_level .stair.type_real .item.two.off .text_box strong,
.confidence_level .stair.type_real .item.three.new.off .text_box strong {
  font-size: 100px;
}

.confidence_level .stair.type_real .item.four.off .text_box span {
  font-size: 200px;
  line-height: 150%;
  white-space: nowrap;
  row-gap: 0;
}

.confidence_level .stair.type_real .item.four.off .text_box strong {
  font-size: 80px;
  padding: 49px 0 31px;
}

.sub_text {
  font-size: 0px;
  font-weight: 600;
  /* display: none; */
  opacity: 0;
}
.hint_text {
  font-size: 0px;
  color: rgba(255, 255, 255, 0.9);
  /* display: none; */
  font-weight: 400;
  opacity: 0;
}
.confidence_level .stair.type_real .item.four.off .sub_text,
.confidence_level .stair.type_real .item.four.off .hint_text {
  /* display: block; */
  opacity: 1;
  transition: font-size 0.6s;
}
.confidence_level .stair.type_real .item.four.off .sub_text {
  font-size: 40px;
}
.confidence_level .stair.type_real .item.four.off .hint_text {
  font-size: 18px;
}

@media (max-width: 1919px) {
  .confidence_level .explain_text {
    font-size: 14px;
    top: 85px;
    right: 45px;
  }

  .confidence_level .text_area {
    left: 50px;
    transform: translateY(calc(124px));
  }

  .confidence_level .text_area.on {
    transform: translateY(94px);
  }

  .confidence_level .text_area.off {
    transform: translateY(44px);
  }

  .confidence_level .text_area h3 {
    font-size: 64px;
    line-height: 130%;
  }

  .confidence_level .text_area span {
    font-size: 18px;
    margin-bottom: 18.5px;
  }

  .confidence_level .text_box {
    row-gap: 20px;
  }

  .confidence_level .text_box span {
    font-size: 20px;
  }

  .confidence_level .text_box strong {
    font-size: 80px;
  }

  .confidence_level .stair.type_real .item.one.on .text_box strong {
    font-size: 92px;
  }

  .confidence_level .stair.type_real .item.two.on .text_box strong {
    font-size: 100px;
  }

  .confidence_level .stair.type_real .item.three.on .text_box strong {
    font-size: 108px;
  }

  .confidence_level .stair.type_real .item.four.on .text_box strong {
    font-size: 116px;
  }

  .confidence_level .stair.type_real .item.one.off .text_box strong,
  .confidence_level .stair.type_real .item.two.off .text_box strong,
  .confidence_level .stair.type_real .item.three.new.off .text_box strong {
    font-size: 80px;
  }

  .confidence_level .stair.type_real .item.four.off .sub_text {
    font-size: 32px;
  }

  .confidence_level .stair.type_real .item.four.off .text_box span {
    font-size: 160px;
  }

  .confidence_level .stair.type_real .item.four.off .text_box strong {
    font-size: 72px;
    padding: 40px 0 24px;
  }
}

@media (max-width: 1599px) {
  .confidence_level .explain_text {
    font-size: 8px;
    top: 68px;
    right: 28px;
  }

  .confidence_level .text_area {
    left: 32px;
    transform: translateY(calc(104px));
  }

  .confidence_level .text_area.on {
    transform: translateY(74px);
  }

  .confidence_level .text_area.off {
    transform: translateY(44px);
  }

  .confidence_level .text_area h3 {
    font-size: 40px;
  }

  .confidence_level .text_area span {
    font-size: 11.5px;
    margin-bottom: 12.5px;
  }

  .confidence_level .text_box {
    row-gap: 13px;
  }

  .confidence_level .text_box span {
    font-size: 13px;
  }

  .confidence_level .text_box strong {
    font-size: 60px;
  }

  .confidence_level .stair.type_real .item.one.on .text_box strong {
    font-size: 63px;
  }

  .confidence_level .stair.type_real .item.two.on .text_box strong {
    font-size: 67px;
  }

  .confidence_level .stair.type_real .item.three.on .text_box strong {
    font-size: 71px;
  }

  .confidence_level .stair.type_real .item.four.on .text_box strong {
    font-size: 75px;
  }

  .confidence_level .stair.type_real .item.one.off .text_box strong,
  .confidence_level .stair.type_real .item.two.off .text_box strong,
  .confidence_level .stair.type_real .item.three.new.off .text_box strong {
    font-size: 60px;
  }

  .confidence_level .stair.type_real .item.four.off .sub_text {
    font-size: 24px;
  }

  .confidence_level .stair.type_real .item.four.off .text_box span {
    font-size: 120px;
  }

  .confidence_level .stair.type_real .item.four.off .text_box strong {
    font-size: 64px;
    padding: 32px 0 16px;
  }
}

@media (max-width: 768px) {
  .confidence_level .explain_text {
    font-size: 15px;
    top: 250px;
    left: 21px;
    right: unset;
  }
  .confidence_level .text_area {
    left: 21px;
  }
  .confidence_level .text_area {
    transform: translateY(calc(86px));
  }
  .confidence_level .text_area.on {
    transform: translateY(76px);
  }
  .confidence_level .text_area.off {
    transform: translateY(26px);
  }
  .confidence_level .text_area span {
    font-size: 16px;
    margin-bottom: 8px;
  }
  .confidence_level .text_area h3 {
    font-size: 32px;
  }
  .confidence_level .text_box span {
    display: none;
  }
  /* .confidence_level .stair.type_real {
    height: 50vh;
    bottom: -50vh;
  } */
  .confidence_level .stair.type_real .item.four .text_box span {
    display: block;
    font-size: 0;
    white-space: no-wrap;
  }
  .confidence_level .stair.type_real .item.four.off .text_box span {
    font-size: 48px;
  }
  .confidence_level .stair.type_real .item.one.on.off .text_box strong,
  .confidence_level .stair.type_real .item.two.on.off .text_box strong,
  .confidence_level .stair.type_real .item.three.new.off .text_box strong {
    font-size: 0;
  }
  .confidence_level .text_box strong {
    font-size: 0;
  }
  .confidence_level .stair.type_real .item.one.on .text_box strong,
  .confidence_level .stair.type_real .item.two.on .text_box strong,
  .confidence_level .stair.type_real .item.three.on .text_box strong,
  .confidence_level .stair.type_real .item.four.on .text_box strong {
    font-size: 32px;
  }
  .confidence_level .stair.type_real .item.four.off .sub_text {
    font-size: 16px;
    padding-bottom: 8px;
  }
  .confidence_level .stair.type_real .item.four.off .text_box span {
    font-size: 56px;
  }
  .confidence_level .stair.type_real .item.four.off .text_box strong {
    font-size: 48px;
    padding: 48px 0 10px;
  }
  .confidence_level .stair.type_real .item.four.off .hint_text {
    font-size: 15px;
    line-height: 160%;
  }
}
